## coq-simple-io 1.7.0

=== Makefile ===
NAME=coq-simple-io
OCAMLBUILD = ocamlbuild

MAKEFILE_COQ = Makefile.coq
MAKE_COQ = $(MAKE) -f $(MAKEFILE_COQ)

.PHONY: all build install clean example depgraph doc html html-raw compat

build: $(MAKEFILE_COQ) compat
	$(MAKE_COQ)

doc: html

install: build
	$(MAKE_COQ) install

uninstall: $(MAKEFILE_COQ)
	$(MAKE_COQ) uninstall

$(MAKEFILE_COQ): _CoqProject
	coq_makefile -f $< -o $@

COMPATFILES:=plugin/coqsimpleio.mlg \
  _CoqProject \
  src/SimpleIO.v \
  src/IO_Stdlib.v \
  src/IO_RawChar.v \
  src/IO_String.v \
  src/IO_Float.v \
  src/IO_Unsafe.v

compat: $(COMPATFILES)

COQ_VERSION:=$(word 1, $(shell coqc -print-version))
OCAML_VERSION:=$(shell ocamlc -version)

%: %.cppo
	$(V)cppo -V COQ:$(COQ_VERSION) -V OCAML:$(OCAML_VERSION) -n -o $@ $^

# With local source files
test: build
	sh test.sh Example
	sh test.sh TestPervasives
	sh test.sh TestExtraction
	sh test.sh RunIO -n
	sh test.sh HelloWorld -n
	sh test.sh Argv

# With installed library (check proper installation)
install-test: build
	sh test.sh Example -i ""

clean:
	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq cleanall; fi
	$(RM) Makefile.coq Makefile.coq.conf *.cmxs
	$(RM) -r _build/ build/
	$(RM) $(DEPS_DOT) $(DEPS_OUT)
	$(RM) test/*.ml{i,}
	$(RM) $(COMPATFILES)

COQDEP=coqdep
DEPS_DOT=deps.dot
DEPS_OUT=deps.jpg

depgraph:
	$(COQDEP) -dumpgraph $(DEPS_DOT) -Q src/ SimpleIO src > /dev/null 2>&1
	sed 's%\("\([^"]*\)/\([^"/]*\)"\[label="\)%\1\2/\n%' -i deps.dot
	dot $(DEPS_DOT) -Tjpg -o$(DEPS_OUT)

## coqdoc -------------------------------------------------
COQDOCFLAGS:= \
  -t "Simple IO" \
  --toc --toc-depth 1 --html --interpolate \
  --index indexpage --no-lib-name --parse-comments

ifdef COQDOCJS_DIR
COQDOCFLAGS+=--with-header $(COQDOCJS_DIR)/extra/header.html --with-footer $(COQDOCJS_DIR)/extra/footer.html

html: html-raw
	cp $(COQDOCJS_DIR)/extra/resources/* doc
	awk -i inplace '{gsub(/href="\.\./,"href=\".")}; { print }' doc/*.html
else
html: html-raw
	@echo "`tput bold``tput setaf 3`WARNING: coqdocjs not set.`tput sgr0` This will produce ugly docs. Set the COQDOCJS_DIR variable when invoking make."
endif

export COQDOCFLAGS

html-raw: Makefile.coq
	rm -rf html
	$(MAKE_COQ) html
	cp -r html/. doc/

## -------------------------------------------------------

=== debian/changelog ===
coq-simple-io (1.7.0-1ubuntu2) kinetic; urgency=medium

  * Do not export V= used in cppo Makefile, breaking build
    See https://github.com/Lysxia/coq-simple-io/issues/57

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 19 Jul 2022 13:03:16 +0200

coq-simple-io (1.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1014572)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Jul 2022 08:45:34 +0200

=== debian/control ===
Source: coq-simple-io
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               cppo,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-ext-lib,
               libcoq-ocaml-dev,
               libcoq-stdlib,
               ocamlbuild <!nocheck>
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-simple-io
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-simple-io.git
Homepage: https://github.com/coq-community/coq-simple-io

Package: libcoq-simple-io
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Coq plugin for purely functional IO
 This package provides a plugin to implement
 Input/Output (IO) programs directly in Coq, in a
 style similar to Haskell's.
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

export V=

%:
	dh $@ --with coq

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp make install

## coq-simple-io 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
 NAME=coq-simple-io
-OCAMLBUILD = ocamlbuild
 
 MAKEFILE_COQ = Makefile.coq
 MAKE_COQ = $(MAKE) -f $(MAKEFILE_COQ)
 
-.PHONY: all build install clean example depgraph doc html html-raw compat
+.PHONY: all build install clean example depgraph doc html html-raw compat test
 
 build: $(MAKEFILE_COQ) compat
 	$(MAKE_COQ)
 
 doc: html
 
+# NOT RECOMMENDED: coq_makefile's install doesn't install plugins as libraries
 install: build
 	$(MAKE_COQ) install
 
@@ -20,14 +20,16 @@
 $(MAKEFILE_COQ): _CoqProject
 	coq_makefile -f $< -o $@
 
-COMPATFILES:=plugin/coqsimpleio.mlg \
+COMPATFILES:=plugin/compat.ml \
   _CoqProject \
-  src/SimpleIO.v \
+  src/SimpleIO_Plugin.v \
   src/IO_Stdlib.v \
   src/IO_RawChar.v \
   src/IO_String.v \
+  src/IO_Filename.v \
   src/IO_Float.v \
-  src/IO_Unsafe.v
+  src/IO_Unsafe.v \
+  test/TestInt63.v
 
 compat: $(COMPATFILES)
 
@@ -37,25 +39,15 @@
 %: %.cppo
 	$(V)cppo -V COQ:$(COQ_VERSION) -V OCAML:$(OCAML_VERSION) -n -o $@ $^
 
-# With local source files
-test: build
-	sh test.sh Example
-	sh test.sh TestPervasives
-	sh test.sh TestExtraction
-	sh test.sh RunIO -n
-	sh test.sh HelloWorld -n
-	sh test.sh Argv
-
-# With installed library (check proper installation)
-install-test: build
-	sh test.sh Example -i ""
+test:
+	sh ./testall.sh
 
 clean:
 	if [ -e Makefile.coq ]; then $(MAKE) -f Makefile.coq cleanall; fi
 	$(RM) Makefile.coq Makefile.coq.conf *.cmxs
 	$(RM) -r _build/ build/
 	$(RM) $(DEPS_DOT) $(DEPS_OUT)
-	$(RM) test/*.ml{i,}
+	$(RM) test/*.ml{i,} test/.*.aux
 	$(RM) $(COMPATFILES)
 
 COQDEP=coqdep

=== debian/changelog ===
coq-simple-io (1.8.0-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:14:18 +0100

coq-simple-io (1.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 23 Sep 2022 14:34:51 +0200

coq-simple-io (1.7.0-3) unstable; urgency=medium

  * Fix for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:33:01 +0200

coq-simple-io (1.7.0-2) unstable; urgency=medium

  * Rebuild against newer coq-ext-lib.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Aug 2022 23:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-coq,
                dh-ocaml,
                libcoq-ext-lib,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib,
                ocamlbuild <!nocheck>
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-simple-io

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_test:
	# doesn't work

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp make install

## coq-simple-io 1.9.0

=== debian/changelog ===
coq-simple-io (1.9.0-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 May 2024 20:23:33 +0200

coq-simple-io (1.9.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 22:13:22 +0200

coq-simple-io (1.9.0-1) unstable; urgency=medium

  * Package new upstream.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Apr 2024 09:25:19 +0200

coq-simple-io (1.8.0-5) unstable; urgency=medium

  * Rebuild for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:57:55 +0100

coq-simple-io (1.8.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044397).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:11:59 +0100

coq-simple-io (1.8.0-3) unstable; urgency=medium

  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:09:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq

override_dh_auto_test:
	# doesn't work

override_dh_auto_build:
	dune build -p coq-simple-io

override_dh_auto_clean:
	dune clean
	rm -f plugin/META.coq-simple-io test/TestOcamlbuild.glob

override_dh_auto_install:
	dune install --destdir=$(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
	find $(CURDIR)/debian/tmp -name LICENSE -delete

## coq-simple-io 1.10.0

=== debian/changelog ===
coq-simple-io (1.10.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:17:49 +0100

coq-simple-io (1.10.0-1build5) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 20:55:00 -0500

coq-simple-io (1.10.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 00:46:38 +0100

coq-simple-io (1.10.0-1build3) plucky; urgency=medium

  * Rebuild against latest ocaml

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 01 Feb 2025 20:22:49 -0500

coq-simple-io (1.10.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jan 2025 12:29:05 +0100

coq-simple-io (1.10.0-1build1) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Nov 2024 08:06:27 +0100

coq-simple-io (1.10.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:55:01 +0100

coq-simple-io (1.9.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 07:05:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                cppo,
@@ -13,7 +13,8 @@
                libcoq-ext-lib,
                libcoq-core-ocaml-dev,
                libcoq-stdlib,
-               ocamlbuild <!nocheck>
+               ocamlbuild <!nocheck>,
+               ocaml-dune
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-simple-io
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-simple-io.git
 Homepage: https://github.com/coq-community/coq-simple-io

=== debian/watch ===
version=4
https://github.com/Lysxia/coq-simple-io/tags .*/v?([\d\.+]+).tar.gz

## coq-simple-io 1.11.0

=== Makefile ===
--- 
+++ 
@@ -20,15 +20,7 @@
 $(MAKEFILE_COQ): _CoqProject
 	coq_makefile -f $< -o $@
 
-COMPATFILES:=plugin/compat.ml \
-  _CoqProject \
-  src/SimpleIO_Plugin.v \
-  src/IO_Stdlib.v \
-  src/IO_RawChar.v \
-  src/IO_String.v \
-  src/IO_Filename.v \
-  src/IO_Float.v \
-  src/IO_Unsafe.v \
+COMPATFILES:=_CoqProject \
   test/TestInt63.v
 
 compat: $(COMPATFILES)
@@ -37,7 +29,7 @@
 OCAML_VERSION:=$(shell ocamlc -version)
 
 %: %.cppo
-	$(V)cppo -V COQ:$(COQ_VERSION) -V OCAML:$(OCAML_VERSION) -n -o $@ $^
+	cppo -V COQ:$(COQ_VERSION) -V OCAML:$(OCAML_VERSION) -n -o $@ $^
 
 test:
 	sh ./testall.sh

=== debian/changelog ===
coq-simple-io (1.11.0-3) experimental; urgency=medium

  * Strenghten depends on coq/rocq.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Nov 2025 19:26:25 +0100

coq-simple-io (1.11.0-2) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * Drop useless dbgsym package.
  * Update lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:16:34 +0100

coq-simple-io (1.11.0-1) unstable; urgency=medium

  * New upstream release. 

 -- Julien Puydt <jpuydt@debian.org>  Thu, 13 Mar 2025 15:48:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Build-Depends: coq,
+Build-Depends: coq (>= 9),
                cppo,
                debhelper-compat (= 13),
                dh-coq,

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom SimpleIO SimpleIO
Depends: coq, @
